<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );
/**
 * Hellos View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class ClubmanagementViewPeople extends ClubmanagementView
{
	function display($tpl = null)
	{
		//$registry		= $this->getModel('administration')->getRights();
		//$this->assignRef('registry', $registry);
		switch(JRequest::getVar("task")) {
			case "add":
			case "edit":
				if(is_array($tmp=JRequest::getVar('cid'))) {
					if(count($tmp)>0){
						$this->set('_id', (int)$tmp[0]);
					}
				}
				JToolBarHelper::apply();
				JToolBarHelper::save();
				JToolBarHelper::cancel();
			break;
			default:
				//JToolBarHelper::cancel();
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();
			break;
		}

		// Get data from the model
		$items		= $this->get( 'Data');
		$this->assignRef('items',		$items);

		$params = JComponentHelper::getParams( 'com_clubmanagement' );
//var_dump($items);
		$params->merge( new JParameter( $items[0]->params ) );
		$this->assignRef('params',		$params);

		$lists		= $this->get( 'Lists');
//echo "<pre>";
//print_r($lists);
//echo "</pre>";

		$this->assignRef('lists', $lists);
		
		$firstChars = $this->get("FirstChars");
		$this->assignRef('firstChars', $firstChars);

		$pagination = $this->get('Pagination');
		$this->assignRef('pagination',		$pagination);

		// Set the toolbar
		$this->addToolBar();
		parent::display($tpl);

		// Set the document
		$this->setDocument();
	}

	protected function addToolBar() 
	{
		$canDo = ClubmanagementHelper::getActions();
		JToolBarHelper::title(   JText::_( 'Clubmanagement Manager' ), 'generic.png' );
		if ($canDo->get('clubmanagement.maintain_people_banking')) 
		{
			JToolBarHelper::custom("#view|task#banking|edit", "banking", '', JText::_("COM_CLUBMANAGEMENT_BANKINGACCOUNT"));
		}
		if ($canDo->get('clubmanagement.maintain_people_contacts')) 
		{
			JToolBarHelper::custom("#view|task#contacts|edit", "contacts", '', JText::_("COM_CLUBMANAGEMENT_CONTACT_DATA"));
		}
	}

	protected function setDocument() 
	{
		$document = JFactory::getDocument();
		$document->setTitle(JText::_('COM_HELLOWORLD_ADMINISTRATION'));
	}
}
?>