<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class ClubmanagementViewContacts extends ClubmanagementView
{
	function display($tpl = null)
	{
		JToolBarHelper::custom('#option|extension#com_categories|com_clubmanagement.contacttypes', 'contacttypes', 'contacttypes','COM_CLUBMANAGEMENT_ADMINISTER_CONTACTTYPES', FALSE);
		JToolBarHelper::divider();

		JFactory::getDocument()->addScript(JURI::root()."administrator/components/com_clubmanagement/assets/tableorder.js");
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		JToolBarHelper::title(   JText::_( 'Clubmanagement Manager' ), 'generic.png' );

		// Get data from the model
		$items		= $this->get( 'Data');
		$this->assignRef('contacts', $items);

		$array = JRequest::getVar('cid',  0, '', 'array');
		$tmp = (int)$array[0];
		//$this->assignRef('people_id', $tmp);

		$people = $this->getModel('people');
		$people = $people->getSingle($tmp);
		$this->assignRef('people', $people);

		$types= $this->getModel('contacts')->getTypes();
		$this->assignRef('contacttypes', $types);
		parent::display($tpl);
	}

}
?>