<?php
jimport( 'joomla.html.parameter' );
//die();
function ClubmanagementBuildRoute( &$query )
{
	$segments = array();
//echo "<pre>";
if (isset($query['view']) && isset($query['layout'])) {
	unset($query['Itemid']);
	$option = "com_clubmanagement";
	$layout = $query['layout'];
	unset($query['layout']);
	$view = $query['view'];
	unset($query['view']);
//$segments[] = $view;
//$segments[] = $layout;
} else {

	$menu = &JSite::getMenu();
	if (empty($query['Itemid'])) {
		$menuItem = &$menu->getActive();
	} else {
		$menuItem = &$menu->getItem($query['Itemid']);
	}
	$option = (empty($menuItem->query['option'])) ? null : $menuItem->query['option'];
	$view = (empty($menuItem->query['view'])) ? null : $menuItem->query['view'];
	$layout = (empty($menuItem->query['layout'])) ? null : $menuItem->query['layout'];
}
$segments[] = $view;
$segments[] = $layout;
//echo $view;
	switch( $view )
	{
		case 'memberstatistics':
//print_r($menuItem->query);
//print_r($query);
			//$segments[] = $menuItem->query['chart_width']."x".$menuItem->query['chart_height'];
			$segments[] = $query['Itemid'];

		break;
		case 'member':
			require_once(JPATH_ROOT.DS."components".DS."com_clubmanagement".DS.'models'.DS.'people.php' );
			$model = JModel::getInstance('people','ClubmanagementModel');
			$params = JComponentHelper::getParams( 'com_clubmanagement' );
			$params->merge( new JParameter( $menuItem->params ) );
			switch($layout) {
				case "personalfactsheet":
					$id = (empty($menuItem->query['people_id'])) ? $query['people_id'] : $menuItem->query['people_id'];
					unset($query['people_id']);
					$people = $model->getPersonalData($id);
					$segments[] = JFilterOutput::stringURLSafe($people->people_id."-".$people->name."-".$people->surname);
				break;
				case "sectionmember":
					require_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'helpers'.DS.'category.php' );
					$id = (empty($menuItem->query['section_id'])) ? $query['section_id'] : $menuItem->query['section_id'];
					unset($query['section_id']);
					$section = ClubmanagementCategoryHelper::getSingle('clubmanagement.sections', $id);
					$segments[] = JFilterOutput::stringURLSafe($section->id."-".$section->alias);#."-".JText::_('COM_CLUBMANAGEMENT_MEMBER')
				break;
			}
		break;
		case 'teams':
			require_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'models'.DS.'teams.php' );
			$model = JModel::getInstance('teams','ClubmanagementModel');
#
//echo $layout;
			switch($layout) {
				case "team":
					$team_id = intval($query['team_id']);
				break;
				default:
					//$params = JComponentHelper::getParams( 'com_clubmanagement' );
					$team_id = $menuItem->query['team_id'];
				break;
			}
			unset($query['team_id']);
			$team = $model->getSingle($team_id);
			$segments[] = JFilterOutput::stringURLSafe($team->team_id."-".$team->name."-".$team->season_identifier."-".$team->section);
		break;
	}
	return $segments;
}

function ClubmanagementParseRoute( $segments )
{
	$vars = array();
$vars['view'] = array_shift($segments);
$vars['layout'] = array_shift($segments);
//print_r($segments);
//die();
	//echo $vars['view'];
	switch($vars['view'])
	{
		case 'memberstatistics':
			//$size = explode("x", array_shift($segments));
			//if(count($size)==2) {
			//	$vars['chart_width'] = max(1, intval($size[0]));
			//	$vars['chart_height'] = max(1, intval($size[1]));
			//}
			$vars['Itemid'] = array_shift($segments);
		break;
		case 'member':
			//switch($layout) {
			switch($vars['layout']) {
				case "personalfactsheet":
					require_once(JPATH_ROOT.DS."components".DS."com_clubmanagement".DS.'models'.DS.'people.php' );
					if(count($segments)==0 || !is_array($segments)) {return FALSE;}
					$tmp = explode(":", $segments[0]);
					
					//if(count($tmp)<2 || !is_array($tmp)) {return FALSE;}
					$people_id = $tmp[0];
					$model = JModel::getInstance('people','ClubmanagementModel');
					$people = $model->getPersonalData($people_id);
					if(JFilterOutput::stringURLSafe($people->name."-".$people->surname)!=$tmp[1] && count($tmp)>1) {
						$msg=JText::sprintf('COM_CLUBMANAGEMENT_ERROR_PERSON_UNKNOWN', 'hallo');
						JError::raiseWarning( 404, $msg );
					}
					$vars['people_id'] = $people_id;
				break;
				case "sectionmember":
//print_r($segments);
//print_r($query);
					if(count($segments)==0 || !is_array($segments)) {return FALSE;}
					$tmp = explode(":", $segments[0]);
					//if(count($tmp)<2 || !is_array($tmp)) {return FALSE;}
					echo$section_id = $tmp[0];
//echo JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'helpers'.DS.'category.php';	
					require_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'helpers'.DS.'category.php' );
					$section = ClubmanagementCategoryHelper::getSingle('clubmanagement.sections', $section_id);
//print_r($section);
					if(!is_object($section)) {
						$msg=JText::_('COM_CLUBMANAGEMENT_ERROR_SECTION_UNKNOWN');
						JError::raiseWarning( 404, $msg );
					}
					$vars['section_id'] = $section_id;
				break;
			}
		break;
		case 'teams':
			//echo JPATH_COMPONENT_ADMINISTRATOR;
			//echo JPATH_ADMINISTRATOR;
			require_once(JPATH_ROOT.DS."administrator".DS."components".DS."com_clubmanagement".DS.'models'.DS.'teams.php' );
			$model = JModel::getInstance('teams','ClubmanagementModel');
			switch($vars['layout']) {
				case "team":
					$tmp = explode(":", $segments[0]);
					//print_r($segments);
//print_r($tmp);
					//if(count($tmp)<2 || !is_array($tmp)) {return FALSE;}
					$team = $model->getSingle($tmp[0]);
					if(!is_object($team)) {
						$msg=JText::_('COM_CLUBMANAGEMENT_ERROR_TEAM_UNKNOWN', intval($tmp[0]));
						JError::raiseWarning( 404, $msg );
						//exit;
					} else {
						$vars['team_id'] = $team->team_id;
					}
				break;
				default:
				break;
			}

		break;

	}

	return $vars;
}